package nu.dll.nularspy;

import org.jibble.socnet.Configuration;
import java.util.Properties;
import java.util.NoSuchElementException;

public class NSConfiguration extends Configuration {
    public NSConfiguration(Properties p) throws NoSuchElementException {
	setProperties(p);
        outputWidth = getInt("OutputWidth");
        outputHeight = getInt("OutputHeight");
        outputDirectory = getFile("OutputDirectory");
        createCurrent = getBoolean("CreateCurrent");
        createArchive = getBoolean("CreateArchive");
        createRestorePoints = getBoolean("CreateRestorePoints");
        
        backgroundColor = getColor("BackgroundColor");
        channelColor = getColor("ChannelColor");
        labelColor = getColor("LabelColor");
        titleColor = getColor("TitleColor");
        nodeColor = getColor("NodeColor");
        edgeColor = getColor("EdgeColor");
        borderColor = getColor("BorderColor");
        
        ignoreSet = getSet("IgnoreSet");
        
        temporalDecayAmount = getDouble("TemporalDecayAmount");
        springEmbedderIterations = getInt("SpringEmbedderIterations");
        k = getDouble("K");
        c = getDouble("C");
        maxRepulsiveForceDistance = getDouble("MaxRepulsiveForceDistance");
        maxNodeMovement = getDouble("MaxNodeMovement");
        minDiagramSize = getDouble("MinDiagramSize");
        borderSize = getInt("BorderSize");
        nodeRadius = getInt("NodeRadius");
        edgeThreshold = getDouble("EdgeThreshold");
        showEdges = getBoolean("ShowEdges");
        verbose = getBoolean("Verbose");
        encoding = getString("Encoding");

    }
}
